#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE3,0xB1,0x4B,0xD6,0x64,0x08,0x0B,0xE3,0x18,0xE7,0x23,0xC5,
		0x25,0xE1,0x94,0x01,0xF6,0xEA,0x84,0x4E,0xAD,0x4F,0x7D,0x7E,
		0xDA,0x00,0x92,0x71,0xB3,0x12,0x86,0x74,0xED,0x8F,0xF1,0xEC,
		0x15,0x92,0xED,0xDD,0x11,0xB2,0x44,0xDE,0x15,0x42,0x8D,0xBB,
		0xF4,0x9F,0xC0,0x6F,0x95,0xF3,0xF4,0x76,0x70,0xBC,0x0F,0x14,
		0xEA,0x2B,0xB2,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
